Bug 458871 - When using self-signed certs CA is not installed and HTML is not signed
When using self-signed certs CA is not installed and HTML is not signed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise IPA
Classification: Retired
Component: ipa-server (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rob Crittenden
Ben Levenson
:
Depends On:
Blocks: 453489
  Show dependency treegraph
 
Reported: 2008-08-12 15:22 EDT by Rob Crittenden
Modified: 2015-01-21 10:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 10:20:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
set up autoconfig if not installing with PKCS#12 files (1.22 KB, patch)
2008-08-14 16:19 EDT, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Rob Crittenden 2008-08-12 15:22:01 EDT
Description of problem:

When a set of PKCS#12 files is used to install IPA then we don't install the CA cert into /usr/share/ipa/html/ca.crt nor do we try to sign the Firefox autoconfiguration HTML file.

But when letting IPA use self-signed certs we should do that. Unfortunately it isn't.

It appears to be in the call to http.create_instance() in ipa-server-install.

Version-Release number of selected component (if applicable):

ipa-1.0.0-17.el5ipa
Comment 1 Rob Crittenden 2008-08-14 16:19:13 EDT
Created attachment 314354 [details]
set up autoconfig if not installing with PKCS#12 files
Comment 2 Rob Crittenden 2008-08-14 17:43:29 EDT
master: 4be5d862a6a90c61546fc1be082bd3c4f63d8189
Comment 3 Michael Gregg 2008-11-21 18:28:06 EST
Reinstalling the old ca.crt from the previous install seem to get picked up with new install. 

closed as verified.

verified on version:
ipa-server-1.1.0-2.20081121.el5ipa
Comment 6 Martin Kosek 2015-01-21 10:20:46 EST
"Red Hat Enterprise IPA" product is not used or maintained. As this bug has a VERIFIED or RELEASE_PENDING status, it can be safely closed.

For further requests for the Red Hat Enterprise Linux Identity Management, please consider filing a Bug to RHEL "ipa" component.

Note You need to log in before you can comment on or make changes to this bug.